/**
 * 分页
 */
export default {
  data(){
    return{
      pageSize: 10,
      pageNum: 1,
      total: 0,
      pageSizes: [10, 20, 50, 100],
    }
  },
  methods: {
    handleSizeChange(val) {
      // debugger
      this.pageSize = val
      this.pageNum = 1
      this.getList()
    },
    handleCurrentChange(val) {
      this.pageNum = val
      this.getList()
    },
    indexCreate(row, column, cellValue, index) {
      return index + 1 + this.pageSize*(this.pageNum - 1)
    }
  }
}
